diff --git a/cnab/helm/templates/alertmanager/alertmanager.yaml b/cnab/helm/templates/alertmanager/alertmanager.yaml
index b296acf..481db5f 100644
--- a/cnab/helm/templates/alertmanager/alertmanager.yaml
+++ b/cnab/helm/templates/alertmanager/alertmanager.yaml
@@ -16,16 +16,13 @@ spec:
   {{- if and .Values.alertmanager.alertmanagerSpec.image.tag .Values.alertmanager.alertmanagerSpec.image.sha }}
   image: "{{ .Values.alertmanager.alertmanagerSpec.image.repository }}:{{ .Values.alertmanager.alertmanagerSpec.image.tag }}@sha256:{{ .Values.alertmanager.alertmanagerSpec.image.sha }}"
   {{- else if .Values.alertmanager.alertmanagerSpec.image.sha }}
-  image: "{{ .Values.alertmanager.alertmanagerSpec.image.repository }}@sha256:{{ .Values.alertmanager.alertmanagerSpec.image.sha }}"
+  image: "{{ .Values.alertmanager.alertmanagerSpec.image.repository }}@{{ .Values.alertmanager.alertmanagerSpec.image.sha }}"
   {{- else if .Values.alertmanager.alertmanagerSpec.image.tag }}
   image: "{{ .Values.alertmanager.alertmanagerSpec.image.repository }}:{{ .Values.alertmanager.alertmanagerSpec.image.tag }}"
   {{- else }}
   image: "{{ .Values.alertmanager.alertmanagerSpec.image.repository }}"
   {{- end }}
   version: {{ .Values.alertmanager.alertmanagerSpec.image.tag }}
-  {{- if .Values.alertmanager.alertmanagerSpec.image.sha }}
-  sha: {{ .Values.alertmanager.alertmanagerSpec.image.sha }}
-  {{- end }}
 {{- end }}
   replicas: {{ .Values.alertmanager.alertmanagerSpec.replicas }}
   listenLocal: {{ .Values.alertmanager.alertmanagerSpec.listenLocal }}
